Web lists-archives.com

Re: Workable installation of VTK and GWT




On 09/09/2017 12:41 AM, didier gaumet wrote:
Disclaimer: I have never used or built Elmer

From the Elmer wiki at
http://www.elmerfem.org/elmerwiki/index.php?title=Compilation_of_Elmer_on_Linux_using_Cmake
:

[...]
"Furthermore, ElmerGUI will be compiled - this expects the "devel"
versions of OpenCascade, QWT and a binary (should the post-processing
link work) of ParaView to be installed. Clearly, the user also has to
take care that the GNU C (gcc), Fortran (gfortran) and C++ (g++)
alongside a MPI library (e.g. OpenMPI) is installed on the system."
[...]


Thanks for the reply but I give up. There is no reasonable way to install Elmer on Debian. Even the Elmer .deb package in Sid is missing two files that I could not find anywhere. Since I'm working inside of a virtual machine anyway, I'm wiping out the Debian installation an replacing it with Ubuntu 17.1. Ubuntu has a complete working copy of Elmer available. For the rest of my system, I'll stick with good ol'e stable. safe Debian.